
SITETB - Feature #207

Email automático 2

10/11/2012 07:04 PM - Jorge Luiz da Rocha

Status: Closed Start date: 10/11/2012

Priority: Urgent Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Medicamentos   

Description

Quando houver transferência de medicamentos(email para usuários da unidade que irá recebê-los).

History

#1 - 11/21/2012 10:19 AM - Maurício Dos Santos

- Assignee changed from Luis Gustavo do Valle Bastos to Maurício Dos Santos

#2 - 11/22/2012 02:55 PM - Maurício Dos Santos

- Tracker changed from Melhoria to Feature

- Status changed from New to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

Aguardando retorno do ricardo sobre o modelo da mensagem para poder dar início a tarefa.

#3 - 11/24/2012 01:10 PM - Ricardo Memoria

Condição para o envio da mensagem:

Para todos os usuários que tiverem a permissão de registro de recebimento de transferência; e

(Sejam da unidade destino), OU , (não sejam da unidade destino, mas podem "ver" a unidade destino e tem permissão para "Realizar

atividades de outras unidades" (Cadastro de usuários)).

Formato da mensagem

Enviar um e-mail para o usuário com os moldes do pedido de medicamento, mas adaptado para a transferência. Algo assim:

SITETB - Sistema de Informação de Tratamentos Especiais da Tuberculose

Nova transferência de medicamentos

Ola <nome do usuário>,

Uma nova transferência de medicamentos acabou de ser registrada da unidade:

<Nome da unidade>

Estado, Município

para a unidade:

<Nome da unidade>

Estado, Município

A transferência ainda não foi realizada. Para que ela seja realizada é necessário que você entre no sistema e registre o seu recebimento no

momento em que for dada a entrada na unidade de destino.

Para registrar o recebimento dos medicamentos na unidade destino, clique aqui.

Dados da transferência:
Data do envio: 21-Nov-2012

Por Alexandra Mandira

Transferred medicines:  

SOURCE

Medicamento Shipped quantity

Amicacina 500ml 10.000

#4 - 11/24/2012 01:10 PM - Ricardo Memoria

- Status changed from Feedback to In Progress

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

#5 - 11/26/2012 12:03 PM - Maurício Dos Santos

Implementar uma api de envio de emails. Criar uma classe Pai MsgDispatcher que será herdada, a princípio, por OrderMsgDispatcher e

CaseMsgDispatcher. Ver exemplo de uso em OrderHome.saveNew().

#6 - 11/28/2012 02:03 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#7 - 11/29/2012 12:56 PM - Maurício Dos Santos

- Status changed from Resolved to Closed
